Imagick::getImage
Imagick::getImageBackgroundColor
The Imagick class
PHP Manual

# Imagick::getImageAlphaChannel

(No version information available, might only be in SVN)

Imagick::getImageAlphaChannel — Gets the image alpha channel

### Description

int Imagick::getImageAlphaChannel ( void )

Gets the image alpha channel value. The returned value is one of the alpha channel constants. This method is available if Imagick has been compiled against ImageMagick version 6.4.0 or newer.

### Return Values

Returns a constant defining the current alpha channel value. Refer to this list of alpha channel constants.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::getImage
Imagick::getImageBackgroundColor
The Imagick class
PHP Manual